Retrieve a list of rewards given to the user (by phone)
GET/api/users/by-phone/:phoneNumber/rewards
Retrieve a list of rewards in various states given to a user. The user is identified by the cell phone number of the user and in the format +1CCCBBBAAAA.
Request
Path Parameters
Responses
- 200
- 401
- 403
- 404
- 500
List of rewards given to user.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Id of the reward
Possible values: [Pending, Confirmed, Declined, Claimed, All]
Status of the reward
Possible values: [MileageCheckIn, ConditionCheckIn, GaragingCheckIn, LowMileageBonus, Custom, SurveyCompleted]
Type of the reward
Description of the reward
Id of the vehicle (if the reward is tied to an action on the vehicle like a Mileage Check-in
Id of the payout (if the reward has been claimed.
Date on which reward was created
buyer
object
Buyer of the reward
Id of the buyer
Name of the buyer
Logo of the buyer
Small Logo of the buyer
Description of buyer
Short description of the buyer
Description shown on the earnings tab of the buyer
App download link
Website link
Shop now link
Featured
Hero Image
Photo1
Photo2
Photo3
Description
Image
BgColor of the shop
Title of the shop
[
{
"id": "string",
"status": "Pending",
"type": "MileageCheckIn",
"description": "string",
"vehicleId": "string",
"payoutId": "string",
"dateRewarded": "string",
"buyer": {
"id": "string",
"name": "string",
"logo": "string",
"listLogo": "string",
"description": "string",
"shortDescription": "string",
"earningsDescription": "string",
"appDownloadLink": "string",
"websiteLink": "string",
"shopNowLink": "string",
"featured": true,
"featuredHeroImage": "string",
"marketplacePhoto1": "string",
"marketplacePhoto2": "string",
"marketplacePhoto3": "string",
"marketplaceDescription": "string",
"featuredImage": "string",
"featuredBgColor": "string",
"featuredTitle": "string"
},
"amount": 0
}
]
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}